## ros-indigo-yaml-cpp-0-3 0.3.1

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(yaml_cpp_0_3)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS  )
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Download
##############################################################################

#set(PROJECT_SOURCE_DIR @PROJECT_SOURCE_DIR@)
#if( NOT EXISTS ${PROJECT_SOURCE_DIR}/yaml-cpp-0.3.0.tar.gz )
#message(STATUS "Downloading yaml sources")
#file(DOWNLOAD "http://yaml-cpp.googlecode.com/files/yaml-cpp-0.3.0.tar.gz"
#      ${PROJECT_SOURCE_DIR}/yaml-cpp-0.3.0.tar.gz      
#      SHOW_PROGRESS
#    )
#endif()
#
#if( NOT EXISTS ${PROJECT_SOURCE_DIR}/yaml-cpp )
#    EXECUTE_PROCESS(COMMAND tar xzf ${PROJECT_SOURCE_DIR}/yaml-cpp-0.3.0.tar.gz
#      WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
#    )
#endif()

##############################################################################
# Catkin
##############################################################################

catkin_package(
    INCLUDE_DIRS yaml-cpp/include
    LIBRARIES yaml-cpp-0.3
)

##############################################################################
# Sources
##############################################################################
          
add_subdirectory(yaml-cpp)

=== yaml-cpp/test/CMakeLists.txt ===
file(GLOB test_headers [a-z]*.h)
file(GLOB test_sources [a-z]*.cpp)
file(GLOB test_old_api_sources old-api/[a-z]*.cpp)

list(APPEND test_sources ${test_old_api_sources})

include_directories(${YAML_0_3_CPP_SOURCE_DIR}/test)

add_executable(run-tests
	${test_sources}
	${test_headers}
)
target_link_libraries(run-tests yaml-cpp)

add_test(yaml-reader-test run-tests)

=== debian/changelog ===
ros-indigo-yaml-cpp-0-3 (0.3.1-0trusty) trusty; urgency=high

  * refactored the actual library namespace (previously just renamed the library)

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 02 Feb 2015 15:00:00 -0000

ros-indigo-yaml-cpp-0-3 (0.3.0-0trusty) trusty; urgency=high

  * renamespaced library and headers (yaml->yaml-0.3) to avoid system v0.5 conflict

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Feb 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yaml-cpp-0-3
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-yaml-cpp-0-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Legacy version of yaml cpp without boost, namespaced to avoid system conflicts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yaml-cpp-0-3//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
